package com.liang.common.exception;

/**
 * @author by lgl
 * @date 2024/1/8.
 */
public class CustomDivException extends RuntimeException {
    private Integer code;

    private String message;


    public CustomDivException(String message)
    {
        this.message = message;
    }

    public CustomDivException(String message, Integer code)
    {
        this.message = message;
        this.code = code;
    }

    public CustomDivException(String message, Throwable e)
    {
        super(message, e);
        this.message = message;
    }

    @Override
    public String getMessage()
    {
        return message;
    }

    public Integer getCode()
    {
        return code;
    }
}
